Default value in string parameter in the GUI modeler

2014-06-18 07:49 AM - Etienne Trimaille

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19027

Description

I get this error while trying to put this default value in string parameter :

<osm-script output="json" timeout="25">

  <!-- gather results -->

  <union>

    <!-- query part for: “shop=supermarket” -->

    <query type="node">

      <has-kv k="shop" v="supermarket"/>

      <bbox-query {{bbox}}/>

    </query>

    <query type="way">

      <has-kv k="shop" v="supermarket"/>

      <bbox-query {{bbox}}/>

    </query>

    <query type="relation">

      <has-kv k="shop" v="supermarket"/>

      <bbox-query {{bbox}}/>

    </query>

  </union>

  <!-- print results -->

  <print mode="body"/>

  <recurse type="down"/>

  <print mode="skeleton" order="quadtile"/>

</osm-script>

Traceback (most recent call last):

  File "/home/etienne/.qgis2/python/plugins/processing/modeler/ModelerParameterDefinitionDialog.py", line 327, in okPressed

    str(self.defaultTextBox.text()))

UnicodeEncodeError: 'ascii' codec can't encode character u'\\u201c' in position 84: ordinal not in range(128)

Associated revisions

Revision 5476d86f - 2014-07-03 02:02 PM - Etienne Trimaille

change str to unicode fix #10624
Revision 2f5d118d - 2014-07-03 03:20 PM - Victor Olaya

Merge pull request #1496 from Gustry/dev

[processing] change str to unicode fix #10624

Revision eb832564 - 2014-07-11 09:03 AM - Etienne Trimaille

change str to unicode fix #10624

History

#1 - 2014-06-19 03:35 AM - Giovanni Manghi

- Affected QGIS version changed from 2.2.0 to master

- Target version deleted (Future Release - Lower Priority)

#2 - 2014-07-03 06:22 AM - Victor Olaya

- Status changed from Open to Closed

Fixed in changeset commit:"2f5d118d4d6cb4de7e355d5069323121681ae4b3".

#3 - 2015-06-07 04:31 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
